<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted Access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

$counter = 0;
?>
<?php foreach($this->items as $i => $item): ?>
<tr class="row<?php echo $i % 2; ?>">
	<td>
	<?php echo ++$counter; ?>
	</td>
	<td>
	<?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
	</td>
	<td>
	<?php echo $item->opensimname; ?>
	</td>
	<td>
	<?php echo $item->joomlausername; ?>
	</td>
	<td<?php if($item->status < 1) echo " class='zonenationspay_status_".$item->paypalstatus."'"; ?>>
	<?php echo $item->paypalaccount; ?>
	</td>
	<td class='zonenationspay_numbercell'>
	<?php echo number_format($item->amount_iwc, 0, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
	</td>
	<td class='zonenationspay_numbercell'>
	<?php echo $item->symbol." ".number_format($item->amount_rlc, 2, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
	</td>
	<td<?php echo ($item->status < 2 && $item->status > -2) ? " class='zonenationspay_payoutstatus_".$item->payoutstatus." zonenationspay_numbercell'":" class='zonenationspay_numbercell'"; ?>>
	<?php
	echo $item->iwbalance;
	// echo number_format(intval($item->iwbalance), 0, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND'));
	?>
	</td>
	<td>
	<?php echo $item->requesttime; ?>
	</td>
	<td class="jgrid" align="center">
	<a class='modal' id='payoutstatuschange' href='index.php?option=com_zonenationspay&view=payout&task=changestatus&payoutID=<?php echo $item->id; ?>&tmpl=component' rel="{handler: 'iframe', size: {x: 400, y: 400}, overlayOpacity: 0.3}">
	<?php echo $item->payoutsymbol; ?>
	</a>
	</td>
</tr>
<?php endforeach; ?>