<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted Access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

$counter = 0;
?>
<?php foreach($this->items as $i => $item): ?>
<tr class="row<?php echo $i % 2; ?>">
    <td>
        <?php echo ++$counter; ?>
    </td>
    <td>
        <?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
    </td>
    <td>
        <?php echo $item->opensimname; ?>
    </td>
    <td>
        <?php echo $item->joomlausername; ?>
    </td>
    <td>
        <?php echo $item->name; ?>
    </td>
    <td>
        <?php echo $item->payer_email; ?>
    </td>
    <td class='zonenationspay_numbercell'>
        <?php echo $item->symbol . " " . number_format($item->amount_rlc, 2, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
    </td>
    <td class='zonenationspay_numbercell'>
        <?php echo $item->symbol . " " . number_format($item->paypalfee, 2, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
    </td>
    <td class='zonenationspay_numbercell'>
        <?php echo $item->symbol . " " . number_format(($item->amount_rlc - $item->paypalfee), 2, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
    </td>
    <td class='zonenationspay_numbercell'>
        <?php echo number_format($item->amount_iwc, 0, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
    </td>
    <td class='zonenationspay_numbercell'>
        <?php echo number_format($item->iwbalance, 0, Text::_('COM_ZONENATIONSPAY_SEPARATOR_COMMA'), Text::_('COM_ZONENATIONSPAY_SEPARATOR_THOUSAND')); ?>
    </td>
    <td>
        <?php echo $item->transactiontime; ?>
    </td>
</tr>
<?php endforeach; ?>