<?php
defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Factory;

class ZonenationspayViewServerrental extends HtmlView
{
    protected $form;
    protected $userRentals;

    public function display($tpl = null)
    {
        $this->form = $this->get('Form');
        $this->userRentals = $this->getUserRentals();

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            throw new Exception(implode("\n", $errors), 500);
        }

        parent::display($tpl);
    }

    protected function getUserRentals()
    {
        $user = Factory::getUser();
        $model = $this->getModel('serverrental');
        return $model->getUserRentals($user->id);
    }
}
